Irrlicht Engine: irr::scene::SMesh Struct Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::SMesh Struct Reference

Simple implementation of the IMesh interface. More...

`#include <SMesh.h>`

Inheritance diagram for irr::scene::SMesh:

List of all members.

## Public Member Functions
void | addMeshBuffer (IMeshBuffer *buf)
| adds a MeshBuffer
virtual const core::aabbox3d < f32 > & | getBoundingBox () const
| returns an axis aligned bounding box
virtual IMeshBuffer * | getMeshBuffer (const video::SMaterial &material) const
| returns a meshbuffer which fits a material
virtual IMeshBuffer * | getMeshBuffer (u32 nr) const
| returns pointer to a mesh buffer
virtual u32 | getMeshBufferCount () const
| returns amount of mesh buffers.
void | recalculateBoundingBox ()
| recalculates the bounding box
virtual void | setBoundingBox (const core::aabbox3df &box)
| set user axis aligned bounding box
virtual void | setDirty (E_BUFFER_TYPE buffer=EBT_VERTEX_AND_INDEX)
| flags the meshbuffer as changed, reloads hardware buffers
virtual void | setHardwareMappingHint (E_HARDWARE_MAPPING newMappingHint, E_BUFFER_TYPE buffer=EBT_VERTEX_AND_INDEX)
| set the hardware mapping hint, for driver
virtual void | setMaterialFlag (video::E_MATERIAL_FLAG flag, bool newvalue)
| sets a flag of all contained materials to a new value
| SMesh ()
| constructor
virtual | ~SMesh ()
| destructor
## Public Attributes
core::aabbox3d< f32 > | BoundingBox
| The bounding box of this mesh.
core::array< IMeshBuffer * > | MeshBuffers
| The meshbuffers of this mesh.

## Detailed Description

Simple implementation of the IMesh interface.

Definition at line 18 of file SMesh.h.

## Constructor & Destructor Documentation

irr::scene::SMesh::SMesh | ( |  | ) | `[inline]`

constructor

Definition at line 21 of file SMesh.h.

References irr::IReferenceCounted::setDebugName().

virtual irr::scene::SMesh::~SMesh | ( |  | ) | `[inline, virtual]`

destructor

Definition at line 29 of file SMesh.h.

References irr::IReferenceCounted::drop(), MeshBuffers, and irr::core::array< T, TAlloc >::size().

## Member Function Documentation

void irr::scene::SMesh::addMeshBuffer | ( | IMeshBuffer * | buf | ) | `[inline]`

adds a MeshBuffer

Definition at line 87 of file SMesh.h.

References irr::IReferenceCounted::grab(), MeshBuffers, and irr::core::array< T, TAlloc >::push_back().

virtual const core::aabbox3d<f32>& irr::scene::SMesh::getBoundingBox | ( |  | ) | const`[inline, virtual]`

returns an axis aligned bounding box

Implements irr::scene::IMesh.

Definition at line 62 of file SMesh.h.

References BoundingBox.

virtual IMeshBuffer* irr::scene::SMesh::getMeshBuffer | ( | const video::SMaterial & | material | ) | const`[inline, virtual]`

returns a meshbuffer which fits a material

reverse search

Implements irr::scene::IMesh.

Definition at line 50 of file SMesh.h.

References MeshBuffers, and irr::core::array< T, TAlloc >::size().

virtual IMeshBuffer* irr::scene::SMesh::getMeshBuffer | ( | u32 | nr | ) | const`[inline, virtual]`

returns pointer to a mesh buffer

Implements irr::scene::IMesh.

Definition at line 43 of file SMesh.h.

References MeshBuffers.

virtual u32 irr::scene::SMesh::getMeshBufferCount | ( |  | ) | const`[inline, virtual]`

returns amount of mesh buffers.

Implements irr::scene::IMesh.

Definition at line 37 of file SMesh.h.

References MeshBuffers, and irr::core::array< T, TAlloc >::size().

void irr::scene::SMesh::recalculateBoundingBox | ( |  | ) | `[inline]`

recalculates the bounding box

Definition at line 74 of file SMesh.h.

References irr::core::aabbox3d< T >::addInternalBox(), BoundingBox, MeshBuffers, irr::core::aabbox3d< T >::reset(), and irr::core::array< T, TAlloc >::size().

virtual void irr::scene::SMesh::setBoundingBox | ( | const core::aabbox3df & | box | ) | `[inline, virtual]`

set user axis aligned bounding box

Implements irr::scene::IMesh.

Definition at line 68 of file SMesh.h.

References BoundingBox.

virtual void irr::scene::SMesh::setDirty | ( | E_BUFFER_TYPE | buffer = `EBT_VERTEX_AND_INDEX` | ) | `[inline, virtual]`

flags the meshbuffer as changed, reloads hardware buffers

Implements irr::scene::IMesh.

Definition at line 111 of file SMesh.h.

References MeshBuffers, and irr::core::array< T, TAlloc >::size().

virtual void irr::scene::SMesh::setHardwareMappingHint | ( | E_HARDWARE_MAPPING | newMappingHint,
|  | E_BUFFER_TYPE | buffer = `EBT_VERTEX_AND_INDEX` |
| ) |  |  | `[inline, virtual]`

set the hardware mapping hint, for driver

Implements irr::scene::IMesh.

Definition at line 104 of file SMesh.h.

References MeshBuffers, and irr::core::array< T, TAlloc >::size().

virtual void irr::scene::SMesh::setMaterialFlag | ( | video::E_MATERIAL_FLAG | flag,
|  | bool | newvalue |
| ) |  |  | `[inline, virtual]`

sets a flag of all contained materials to a new value

Implements irr::scene::IMesh.

Definition at line 97 of file SMesh.h.

References MeshBuffers, and irr::core::array< T, TAlloc >::size().

## Member Data Documentation

core::aabbox3d<f32> irr::scene::SMesh::BoundingBox

The bounding box of this mesh.

Definition at line 121 of file SMesh.h.

Referenced by getBoundingBox(), recalculateBoundingBox(), and setBoundingBox().

core::array<IMeshBuffer*> irr::scene::SMesh::MeshBuffers

The meshbuffers of this mesh.

Definition at line 118 of file SMesh.h.

Referenced by addMeshBuffer(), getMeshBuffer(), getMeshBufferCount(), recalculateBoundingBox(), setDirty(), setHardwareMappingHint(), setMaterialFlag(), and ~SMesh().

The documentation for this struct was generated from the following file:

- SMesh.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:09 2010 by Doxygen (1.6.2)